% Script:     plot_test_data.m
% Copyright (c) 2019 by S. Lawrence Marple Jr.

% This script separately plots the real (in-phase) and imaginary
% (quadrature) components of the test1987 or radar data sets.

disp(' Data source choices:  1--test1987, 2--doppler_radar')
source = input('Enter number of data source choice: ');
if source == 1
    load('test1987.dat')
    data = test1987(:,1) + 1i*test1987(:,2);
elseif source == 2
    load('doppler_radar.dat')
    data = doppler_radar(:,1) + 1i*doppler_radar(:,2);
else
    error('Number of data source must be 1 or 2.')
end
subplot(121)
hold off
axis([0 63 -2.5 2.5])
hold on
plot((0:63),real(data))
box on
grid off
xlabel('Sample  Number')
ylabel('Amplitude')
title('Real  Part  of  Waveform')
subplot(122)
hold off
axis([0 63 -2.5 2.5])
hold on
plot((0:63),imag(data))
box on
grid off
xlabel('Sample Number')
ylabel('Amplitude')
title('Imaginary  Part  of  Waveform')
%